How to fetch all the users that can report issues for a project?

I’m trying to use the Jira REST API v3 and I have a use case where I want to be able to get a list of the users that can be reporters of issues for a given project. I found that we can retrieve users that can be assigned issues in a project using the endpoint (https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-assignable-multiprojectsearch-get) but, semantically speaking a reporter of an issue doesn’t necessarily needs to be assigned to issues. Is there a way to get a list of users that can act as reporters of issues in a project?

Thanks

Hey @G111

There is no dedicated REST endpoint that directly returns “users who can be reporters” for a given project.

For Software / Business projects:

Use the Group & User Picker endpoint with a projectId https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-group-and-user-picker/#api-group-group-and-user-picker

For Jira Service Management (JSM) projects:

Reporters are usually customers, not licensed Jira users.

You can list them with the JSM API:

GET /rest/servicedeskapi/servicedesk/{serviceDeskId}/customer?start=0&limit=50

Thanks Flix for the response. I think that the user picket endpoint makes more sense for my use case. The only downside is that we do need to pass a query parameter query otherwise it doesn’t work. In my case I have tested using query = @ to attempt to retrieve all users but this is not a guarantee.

Also, the default limit is 50. Does the endpoint impose a hard limit of, say 1000 records?

You can set the limit with this param:

maxResults

integer

The maximum number of items to return in each list.

Default: 50Format: int32

yes I know that but my question is whether I can set maxResults = 1000?

I Never test it, you can give a try